package com.flyer.foster.controller;

import cn.dev33.satoken.annotation.SaCheckLogin;
import com.flyer.foster.service.IRoleMenuService;
import com.flyer.util.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 角色菜单
 *
 * @author flyer
 * @since 2024-05-06
 */
@RestController
@RequestMapping("/admin/role-menu")
public class RoleMenuController {
    @Autowired
    private IRoleMenuService iRoleMenuService;

    @GetMapping("/{roleId}")
    public R getRoleMenuIdList(@PathVariable Integer roleId){
        return R.ok().result(iRoleMenuService.getRoleMenuIdList(roleId));
    }
}
