package com.flyer.foster.controller.app;

import cn.hutool.core.bean.BeanUtil;
import com.flyer.foster.dto.app.AppSubscribeAddDTO;
import com.flyer.foster.entity.AppSubscribe;
import com.flyer.foster.pojo.StpAppUtil;
import com.flyer.foster.service.IAppSubscribeService;
import com.flyer.util.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.time.LocalDateTime;

/**
 * 小程序订阅用户（小程序）
 *
 * @author flyer
 * @since 2024-05-17
 */
@RestController
@RequestMapping("/app/subscribe")
public class AppSubscribeController {
    @Autowired
    private IAppSubscribeService iAppSubscribeService;

    /**
     * 新增用户订阅记录
     * @return
     */
    @PostMapping("")
    public R addSubscribe() {
        return R.ok().result(iAppSubscribeService.addSubscribe());
    }
}
